Page Setup Dialog (Page Setup Dialog Box)

Page Setup Dialog Box Help Desk

Page Setup Dialog

The Page Setup Dialog Box

On the Page Setup dialog box you can perform four categories of adjustments:

  • Orientation
  • Limits
  • Color
  • Size and Position

When you have finished making selections on the dialog box, select OK to accept the settings for printing and close the dialog box, Apply to apply the changes without closing the dialog box, Default to return the values to the current MATLAB defaults, or Cancel to dismiss the dialog box without accepting any changes made.

Orientation

Orientation refers to the way the figure is placed on the printed page. Portrait (the default) specifies that the longer paper dimension is oriented vertically; Landscape orients the longer paper dimension horizontally. In both cases, the value of the Paper Position (size and position of the figure on the page) remain the same.

Use the Center, Fill, and Max Aspect buttons in the Size and Position field to adjust the Paper Position.

Limits

MATLAB changes the number and placement of axis tick marks when you print a figure if the size of the printed figure is different from its size on screen. The default size of the printed figure is six by eight inches. This is generally larger than the size on screen so MATLAB takes advantage of the increased size and increases the resolution of the axes.

Check this box if you do not want MATLAB to recompute the tick marks on the printed figure. The printed figure will then have the same tick marks as on screen.

Color

The Color field controls whether lines and text are printed in color or changed to black and white.

  • If you select Black and White, MATLAB changes the color of lines and text to either black or white, depending on the background color.
  • If you select Color, MATLAB prints lines and text in their actual color (which will be dithered on a black and white printer). Use this setting to print colors as grayscale on printers that support grayscale.
If you print from the MATLAB command line using the print command, options that you specify override options you set in the Page Setup dialog box. For example, if you select Color in this field and then print the figure with one of these command,

    print -dwin % Windows platform
print -dps  % Unix platform
the resulting page is printed in black and white.

Size and Position

The Size and Position field provides control of both the size and the position of the figure. You can choose from two basic approaches to sizing and locating the figure on the printed page:

  • Match Figure Screen Size - With this option, you specify the figure size (and aspect ratio) on the screen. You can do this by resizing the figure window or by setting the figure PaperPosition property, which MATLAB will automatically center on the printed page. You must resize the figure before opening the Page Setup dialog box.
  • Set Manual Position and Size - This option enables you to position and resize the figure on the printed page without changing the figure on screen.

Manual Manipulation of Position and Size

You can change the position and size of the figure in either of two ways:

  • Resize and move the dashed box, which represents the size and position of the figure on the printed page.
  • Specify a new value for the paper position, which is defined by four components
      [distance_from_left_side, distance_from_bottom, width, height]

    MATLAB interprets these values in the selected units.

Setting Units. Displaying the pull-down menu provides four options for units.
MATLAB uses these units to interpret the values specified for the paper position. All units are measured from the lower-left corner of the page. Normalized units map the lower-left corner of the page to (0,0) and the upper-right corner to (1.0,1.0).

Automatic Placement. There are three automatic positioning push buttons:

  • Center - place the figure as currently sized in the center of the page.
  • Fill - resize the figure to be the size and shape of the paper (note that this option may change the figure aspect ratio and thereby alter the way the plot looks).
  • Max Aspect - make the figure as large as will fit on the page without changing the aspect ratio.